Invitations
Member invitations.
List pending invitations
Lists outstanding tenant member invitations. Admin only.
Technical details
Exact HTTP method and path your client calls
/invitationsResponses
Pending invitations for the tenant
| Field | Type | Description |
|---|---|---|
| PendingInvitationRow[] | ||
| object |
[
{
"invitationId": "string",
"email": "[email protected]",
"role": "admin",
"invitationScope": "workspace",
"workspaceId": "string",
"expiresAt": "2026-01-01T00:00:00.000Z",
"resendCount": 0,
"roleId": "string",
"groupIds": [
"string"
],
"isExpired": false
}
]Errors return the standard envelope. See error reference.
Code samples
curl --request GET \
--url 'https://api.not24get.me/invitations' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json'Try it
Send invitation
Invites a new member by email with optional group assignments. Admin only.
Technical details
Exact HTTP method and path your client calls
/invitationsRequest body
| Field | Type | Description |
|---|---|---|
| invitationScope | string | enum: workspaceorganization |
| workspaceId | string | |
| emailrequired | string<email> · email | |
| rolerequired | string | enum: adminmembersupport |
| roleId | string | |
| groupIds | string[] |
Responses
Invitation created
| Field | Type | Description |
|---|---|---|
| invitationId | string |
{
"invitationId": "string"
}Errors return the standard envelope. See error reference.
Code samples
curl --request POST \
--url 'https://api.not24get.me/invitations' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{
"invitationScope": "workspace",
"workspaceId": "string",
"email": "[email protected]",
"role": "admin",
"roleId": "string",
"groupIds": [
"string"
]
}'Try it
Revoke invitation
Cancels a pending invitation. Returns no body on success.
Technical details
Exact HTTP method and path your client calls
/invitations/{invitationId}Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| invitationId | string | required |
Responses
No Content
| Field | Type | Description |
|---|---|---|
| (value) | EmptyResponsePart |
nullErrors return the standard envelope. See error reference.
Code samples
curl --request DELETE \
--url 'https://api.not24get.me/invitations/%3AinvitationId' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json'Try it
Resend invitation
Resends the invitation email for a pending invite. Admin only. Returns no body on success.
Technical details
Exact HTTP method and path your client calls
/invitations/{invitationId}/resendPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| invitationId | string | required |
Request body
| Field | Type | Description |
|---|---|---|
| (value) | EmptyRequestPart |
Responses
No Content
| Field | Type | Description |
|---|---|---|
| (value) | EmptyResponsePart |
nullErrors return the standard envelope. See error reference.
Code samples
curl --request POST \
--url 'https://api.not24get.me/invitations/%3AinvitationId/resend' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--data 'null'Try it
Accept invitation
Accepts an invitation token and creates or links the member account.
Technical details
Exact HTTP method and path your client calls
/invitations/{token}/acceptPath parameters
| Name | Type | Required | Description |
|---|---|---|---|
| token | string | required |
Request body
| Field | Type | Description |
|---|---|---|
| emailrequired | string<email> · email | |
| passwordrequired | string | |
| noticeVersionrequired | string |
Responses
Invitation accepted; membership created
| Field | Type | Description |
|---|---|---|
| accountId | string | |
| tenantId | string | |
| workspaceId | string | |
| role | string |
{
"accountId": "string",
"tenantId": "string",
"workspaceId": "string",
"role": "string"
}Errors return the standard envelope. See error reference.
Code samples
curl --request POST \
--url 'https://api.not24get.me/invitations/%3Atoken/accept' \
--header 'Authorization: Bearer <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{
"email": "[email protected]",
"password": "string",
"noticeVersion": "string"
}'